Subject: Re: bug#43058: 27.1; Support for other colour font formats

From: Peter Oliver <[email-masked]>
Date: Wed, 26 Aug 2020 16:12:06 +0100 (BST)

On Wed, 26 Aug 2020, Eli Zaretskii wrote:
OB
>> From: Peter Oliver <[email-masked]>
>> Date: Wed, 26 Aug 2020 13:24:05 +0100
>>
>> The NEWS file for Emacs 27.1 says:
>> “Multicolor fonts such as "Noto Color Emoji" can be displayed on
>> Emacs configured with Cairo drawing and linked with cairo >= 1.16.0.”
>> I would submit a patch to change this to mention that only CBDT is currently supported, but I’m not sure if that’s true on, e.g., Windows or MacOS.
>
> AFAIK, we support whatever Cairo supports

As I say, COLR works in other GTK apps, so I don’t think it’s as simple as “Cairo doesn’t support that”.

Observation:

First I grabbed a COLR TTF (e.g., https://github.com/hfg-gmuend/openmoji/raw/47c9efe5449ba2ef77b77cdcae28b00811dea843/font/untouchedsvgz/OpenMoji-Color.ttf) and saved it to ~/.local/share/fonts/.  Then:

ELISP> (x-list-fonts "OpenMoji Color")
("-NONE-OpenMoji Color-normal-normal-normal-*-*-*-*-*-m-0-iso10646-1")
ELISP> (font-info (car (x-list-fonts "OpenMoji Color")))
nil

This makes me suspect that the problem isn’t with outputting with the font, but in finding the font in the first place.  I’m not sure how to go about debugging this.

-- 
Peter Oliver